> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xshot.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user list memberships

> Get the Twitter lists a user is a member of.



## OpenAPI

````yaml /openapi-spec/xshot.yaml get /twitter/user/lists
openapi: 3.0.3
info:
  title: Xshot REST API
  version: 1.0.0
  description: >
    Twitter/X data API. Access user profiles, tweets, communities, lists,
    spaces, and trends.


    All endpoints require authentication via `api_key` query parameter,
    `x-api-key` header, or `Authorization: Bearer` header.
  contact:
    name: Xshot
    url: https://api.xshot.fun
servers:
  - url: https://api.xshot.fun
    description: Production
security:
  - ApiKeyQuery: []
  - ApiKeyHeader: []
  - BearerAuth: []
paths:
  /twitter/user/lists:
    get:
      tags:
        - Users
      summary: Get user list memberships
      description: Get the Twitter lists a user is a member of.
      operationId: getUserLists
      parameters:
        - name: username
          in: query
          required: true
          schema:
            type: string
          example: elonmusk
        - name: cursor
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Paginated list memberships
          content:
            application/json:
              schema:
                type: object
                properties:
                  lists:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                        mode:
                          type: string
                          example: Public
                        member_count:
                          type: integer
                        subscriber_count:
                          type: integer
                        created_at:
                          type: integer
                        following:
                          type: boolean
                        is_member:
                          type: boolean
                        muting:
                          type: boolean
                        banner_url:
                          type: string
                          nullable: true
                        owner:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            username:
                              type: string
                            profile_image:
                              type: string
                            verified:
                              type: boolean
                            followers_count:
                              type: integer
                  next_cursor:
                    type: string
                    nullable: true
                  has_next_page:
                    type: boolean
components:
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api_key
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    BearerAuth:
      type: http
      scheme: bearer

````